/**
 * @file
 * @module constant.js
 * @version 1.0.0
 */

'use strict';

export default {

  Config: {
    SampleVideo: 'http://qiniu.alphabets.cn/mov.mp4',
    SampleImage: '/static/images/empty-image.png',
    FileUploadAPI: '/api/file/add',
    FileImageAPI: '/api/file/image?id=',
    Width: 1,
    Height: 7
  },

  EVENT: {
    SELECT: 'select',                   // 组件: 选择组件
    EXPAND: 'expand',                   // 组件: 调整宽度
    ADD: 'add',                         // 组件: 添加
    REMOVE: 'remove',                   // 组件: 删除
    COPY: 'copy',                       // 组件: 复制
    MOVE: 'move',                       // 组件: 移动
    CHANGE: 'change',                   // 组件: 值变更
    FOLDBLOCK: 'foldblock',             // 组件: 分组组件折叠
    SELECTFORM: 'selectform',           // 表单: 选择表单
    FOLDFORM: 'foldform',               // 表单: 折叠表单
    PLUGIN: 'plugin',                   // 表单: 显示插件管理器
    ADDROW: 'addrow',                   // 表单: 添加行
    REMOVEROW: 'removerow',             // 表单: 删除行
    COPYROW: 'copyrow',                 // 表单: 复制行

    SEARCH: 'search',                   // 选择框用
    PREV: 'prev',                       // 选择框用
    NEXT: 'next',                       // 选择框用
    OK: 'ok',                           // 选择框用
    CANCEL: 'cancel',                   // 选择框用

    SELECTPROCESS: 'selectprocess',     // 流程:
    SELECTACTIVITY: 'selectactivity',   // 流程:
    SELECTCONDITION: 'selectcondition', // 流程:

    ADDACTIVITY: 'addactivity',
    ADDSUBACTIVITY: 'addsubactivity',
    ADDCONDITION: 'addcondition',
    REMOVECONDITION: 'removecondition',
    REMOVEACTIVITY: 'removeactivity',
    ADDBRANCH: 'addbranch'
  },

  KEY: {
    BACKSPACE: 8,
    DELETE: 46,
    ENTER: 13
  },

  MODE: {
    VIEW: 'view',               // 视图模式（查看模式，不显示控件只显示值）
    READONLY: 'readonly',       // 只读模式（查看模式，显示控件和输入的值）
    INPUT: 'input',             // 编辑模式（输入模式，使用表单输入数据）
    DESIGN: 'design'            // 设计模式（可以添加删除组件，设定组件的属性）
  },

  PROPS_TYPE_WIDGET: 'Widget',
  PROPS_TYPE_FORM: 'Form',
  PROPS_TYPE_PROCESS: 'Process',
  PROPS_TYPE_ACTIVITY: 'Activity',
  PROPS_TYPE_BRANCH: 'Branch',

  WIDGET_TYPE_BLOCK: 'Block',
  WIDGET_TYPE_SUBBLOCK: 'SubBlock',

  PAGE_PREV: -1,
  PAGE_NEXT: -2,
  PAGE_MORE: -3,

  PAGE_TYPE_PAGES: 'pages',
  PAGE_TYPE_MORE: 'more',

  PAGE_ROW_COUNT: 15,
  PAGE_PAGE_COUNT: 3,

  RESERVE: {                    // 缺省的选择窗口类型
    user: {
      api: '/api/user/list',
      uk: '_id',
      name: 'name',
      icon: 'user',
      field: ['id', 'name'],
      title: 'User'
    },
    group: {
      api: '/api/group/list',
      uk: '_id',
      name: 'name',
      icon: 'group',
      field: ['name'],
      title: 'Group'
    },
    category: {
      api: '/api/category/list',
      uk: '_id',
      name: 'name',
      icon: 'bookmark',
      field: ['name', 'categoryId'],
      title: 'Category'
    },
    authority: {
      api: '/api/authority/list',
      uk: '_id',
      name: 'name',
      icon: 'lock',
      field: ['name', 'description'],
      title: 'Authority'
    },
    role: {
      api: '/api/role/list',
      uk: '_id',
      name: 'name',
      icon: 'lock',
      field: ['name', 'description'],
      title: 'Role'
    },
    tag: {
      api: '/api/tag/list',
      uk: '_id',
      name: 'name',
      icon: 'tag',
      field: ['name'],
      title: 'Tag'
    },
    route: {
      api: '/api/route/list',
      uk: '_id',
      name: 'url',
      icon: 'road',
      field: ['url', 'description'],
      title: 'Route'
    },
    function: {
      api: '/api/function/list',
      uk: '_id',
      name: 'url',
      icon: 'list-ul',
      field: ['url', 'description'],
      title: 'Function'
    },
    board: {
      api: '/api/board/list',
      uk: '_id',
      name: 'api',
      icon: 'bars',
      field: ['api', 'description'],
      title: 'Board'
    },
    structure: {
      api: '/api/structure/list',
      uk: '_id',
      name: 'schema',
      icon: 'database',
      field: ['schema', 'description'],
      title: 'Structure'
    }
  },

  // 节点类型
  ACTIVITY_TYPE: 'type',
  ACTIVITY_TYPE_START: 'start',
  ACTIVITY_TYPE_END: 'end',
  ACTIVITY_TYPE_STATIC: 'static',
  ACTIVITY_TYPE_DYNAMIC: 'dynamic',
};