/**
 * constant.js
 */

'use strict';

export default {

  VERSION: require('./package.json').version,

  STORAGE_SCOPE: 'environment',
  HEADER_CSRF_KEY: 'csrftoken',

  BODY_CSRF_KEY: '_csrf',
  BODY_UID_KEY: 'userid',
  BODY_DOMAIN_KEY: 'domain',
  BODY_CODE_KEY: 'code',

  COOKIE_SESSION_KEY: 'light.sid',
  COOKIE_CSRF_KEY: 'light.csrf',
  COOKIE_LANG_KEY: 'light.lang',
  COOKIE_UID_KEY: 'light.uid',

  CONTENT_TYPE_JSON: 'application/json',
  DATA_TYPE: 'json',

  METHOD_GET: 'GET',
  METHOD_POST: 'POST',
  METHOD_PUT: 'PUT',
  METHOD_DELETE: 'DELETE',

  LIGHT_HOST: 'http://d.alphabets.cn',

  TYPE_EXCEL: "application/vnd.ms-excel, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet, application/vnd.ms-excel",

  KEY: {
    BACKSPACE: 8,
    DELETE: 46,
    ENTER: 13
  },

  EMPTY: ''
}