/**
 * @file 表单底
 * @module form-footer.js
 * @author r2space@gmail.com
 * @version 1.0.0
 */

'use strict';

import React from 'react'


export default class Footer extends React.Component {
  render() {
    return dom('footer', null, this.button(), this.description());
  }

  button() {
    if (!this.props.button) {
      return null;
    }

    return this.props.button.map(button => {
      return dom('button', {
          type: 'button',
          key: button.name,
          className: button.className,
          onClick: button.onClick,
          style: {margin: '1px'},
          disabled: button.disabled
        },
        this.icon(button.icon),
        button.name
      );
    });
  }

  description() {
    if (!this.props.description) {
      return null;
    }

    return this.props.description.map(description => {
      return dom('div', null, description);
    });
  }

  icon(icon) {
    if (!icon) {
      return null;
    }

    return dom('i', {className: 'fa fa-fw fa-' + icon});
  }

}
