/**
 * @module index.js
 */

'use strict';

import panel              from './form/form-panel'
import control            from './form/control'
import properties         from './form/properties'
import plugin             from './form/plugin'

import CONST              from './constant'

import Widget             from './widget/widget'
import Block              from './widget/block'
import ButtonGroup        from './widget/buttongroup'
import Calendar           from './widget/calendar'
import CheckBox           from './widget/checkbox'
import ComboBox           from './widget/combobox'
import ComboBoxDynamic    from './widget/comboboxdynamic'
import ColorTag           from './widget/colortag'
import File               from './widget/file'
import Grid               from './widget/grid'
import Image              from './widget/image'
import Input              from './widget/input'
import Label              from './widget/label'
import Line               from './widget/line'
import Number             from './widget/number'
import Option             from './widget/option'
import RadioBox           from './widget/radiobox'
import Switch             from './widget/switch'
import SubBlock           from './widget/subblock'
import Tag                from './widget/tag'
import TextArea           from './widget/textarea'
import Video              from './widget/video'
import Icon               from './widget/icon'
import Plugin             from './widget/plugin'
import Select             from './widget/select'

import ControlJson        from './form/control.json'
import PropertiesJson     from './form/properties.json'

control.defaultProps.control = ControlJson;
properties.defaultProps.propertie = PropertiesJson;
Widget.defaultProps.control = {
  Block,
  ButtonGroup,
  Calendar,
  CheckBox,
  ComboBox,
  ColorTag,
  File,
  Grid,
  Image,
  Input,
  Label,
  Line,
  Number,
  Option,
  RadioBox,
  Switch,
  SubBlock,
  Tag,
  TextArea,
  Video,
  Icon,
  Plugin,
  Select,
  ComboBoxDynamic
};

// alias
const widget = Widget;

export {
  panel,
  control,
  properties,
  plugin,
  widget,

  CONST,
  Widget,
  Block,
  ButtonGroup,
  Calendar,
  CheckBox,
  ComboBox,
  ColorTag,
  File,
  Grid,
  Image,
  Input,
  Label,
  Line,
  Number,
  Option,
  RadioBox,
  Switch,
  SubBlock,
  Tag,
  TextArea,
  Video,
  Icon,
  Plugin,
  Select,
  ComboBoxDynamic
}
