'use strict';

const Webpack = require('webpack')
  , Extract = require('extract-text-webpack-plugin');

module.exports = {

  entry: {
    'light-workflow': './workflow/index.js',
    css: [
      '../css/workflow.less'
    ]
  },

  output: {
    path: __dirname,
    filename: '../sdk/[name].js',
    library: 'workflow',
    libraryTarget: 'umd'
  },

  module: {
    rules: [
      {
        test: /\.js$/,
        exclude: /(node_modules)/,
        use: {
          loader: 'babel-loader',
          options: {
            presets: ['env']
          }
        }
      },
      {
        test: /\.less$/,
        use: Extract.extract(
          {
            fallback: 'style-loader',
            use: ["css-loader", "less-loader"]
          }
        )
      },
      {
        test: /\.json$/,
        use: 'json-loader'
      }
    ]
  },

  externals: {
    'jquery': 'jQuery',
    '_': 'lodash',
    'react': 'React',
    'react-dom': 'ReactDOM',
    'moment': 'moment',
    'plugin': 'plugin'
  },

  plugins: [

    // 压缩
    // new Webpack.optimize.UglifyJsPlugin(
    //   {
    //     compress: {
    //       warnings: false
    //     }
    //   }
    // ),

    new Webpack.ProvidePlugin({
      'dom': ['react', 'createElement']
    }),

    new Extract(
      {
        filename: '../sdk/light-workflow.css',
        allChunks: true
      }
    )
  ]
};
