/**
 * @file
 * @module widget-buttongroup.js
 * @version 1.0.0
 */

'use strict';

import Widget   from './widget'

export default class ButtonGroup extends Widget {

  constructor(props) {
    super(props);
    this.onChange = this.onChange.bind(this);
  }

  render() {
    return dom('div', {className: 'btn-group'}, this.widget());
  }

  className(value) {

    if (this.value() === value) {
      return 'btn btn-sm btn-info';
    }

    return 'btn btn-sm btn-default';
  }

  widget() {

    this.props.data.option = this.props.data.option || [{value: '01', title: 'item1'}, {value: '02', title: 'item2'}];

    return this.props.data.option.map(option => {

      option = this.normalize(option);

      return dom('button', {
        key: option.value,
        className: this.className(option.value),
        disabled: this.disabled(),
        value: option.value,
        name: this.props.data.name,
        onClick: this.onChange
      }, option.title);
    });
  }

  onChange(event) {
    event.preventDefault();
    this.change(event.target.value, event.target.name);
  }
}
