/**
 * @file
 * @module widget-combobox.js
 * @version 1.0.0
 */

'use strict';

import Widget   from './widget'

export default class ComboBox extends Widget {

  constructor(props) {
    super(props);
    this.onChange = this.onChange.bind(this);
  }

  render() {

    this.props.data.option = this.props.data.option || [{value: '01', title: 'item1'}, {value: '02', title: 'item2'}];

    return dom('div', {className: this.className(), style: {marginBottom: this.props.marginBottom}},
      this.selection(),
      dom('i', )
    );
  }

  className() {
    if (this.disabled()) {
      return 'select state-disabled';
    }
    return 'select';
  }

  selection() {
    return dom('select', {
        disabled: this.disabled(),
        onChange: this.onChange,
        value: this.value(),
        name: this.props.data.name
      },
      this.options()
    );
  }

  options() {
    return this.props.data.option.map(option => {
      option = this.normalize(option);
      return dom('option', {value: option.value, key: option.value}, option.title);
    });
  }

  onChange(event) {
    this.change(event.target.value, event.target.name);
  }

}

ComboBox.defaultProps = {
  marginBottom: 0
};