/**
 * @file
 * @module widget-switch.js
 * @version 1.0.0
 */

'use strict';

import Widget   from './widget'

export default class Switch extends Widget {

  constructor(props) {
    super(props);
    this.onChange = this.onChange.bind(this);
  }
  
  render() {

    this.props.data.option = this.props.data.option || [''];

    let checked = _.isUndefined(this.props.data.value)
      ? this.boolean(this.props.data.defaults)
      : this.boolean(this.props.data.value);

    return dom('label', {className: this.className()},
      dom('input', {
        type: 'checkbox',
        name: this.props.data.name,
        checked: checked,
        value: checked,
        disabled: this.disabled(),
        onChange: this.onChange
      }),
      dom('i', {className: 'rounded-4x'}),
      dom('div', {style: {position: 'absolute', top: '2px'}}, this.props.data.option[0])
    );
  }

  className() {
    if (this.disabled()) {
      return 'toggle state-disabled';
    }
    return 'toggle';
  }

  onChange(event) {
    this.change(!this.boolean(event.target.value), event.target.name);
  }
}
