/**
 * @file
 * @module widget-textarea.js
 * @version 1.0.0
 */

'use strict';

import Widget   from './widget'

export default class TextArea extends Widget {

  constructor(props) {
    super(props);
    this.onChange = this.onChange.bind(this);
  }

  render () {
    return dom('div', {className: this.className()}, this.icon(), this.widget());
  }

  className () {
    return 'textarea' + (this.props.data.disabled === 'true' ? ' state-disabled' : '');
  }

  widget () {
    return dom('textarea', {
      rows: this.props.data.textRows || '3',
      disabled: this.disabled(),
      placeholder: this.props.data.textPlaceholder,
      onChange: this.onChange,
      value: this.value() || '',
      name: this.props.data.name
    });
  }

  onChange (event) {
    this.change(event.target.value, event.target.name);
  }

}
