/**
 * @module index.js
 */

'use strict';

import properties         from './properties'
import PropertiesJson     from './properties.json'
import process            from './workflow-process'
import step               from './workflow-step'

import CONST              from '../constant'

import Widget             from '../widget/widget'
import Block              from '../widget/block'
import ButtonGroup        from '../widget/buttongroup'
import Calendar           from '../widget/calendar'
import CheckBox           from '../widget/checkbox'
import ComboBox           from '../widget/combobox'
import ComboBoxDynamic    from '../widget/comboboxdynamic'
import ColorTag           from '../widget/colortag'
import File               from '../widget/file'
import Grid               from '../widget/grid'
import Image              from '../widget/image'
import Input              from '../widget/input'
import Label              from '../widget/label'
import Line               from '../widget/line'
import Number             from '../widget/number'
import Option             from '../widget/option'
import RadioBox           from '../widget/radiobox'
import Switch             from '../widget/switch'
import SubBlock           from '../widget/subblock'
import Tag                from '../widget/tag'
import TextArea           from '../widget/textarea'
import Video              from '../widget/video'
import Icon               from '../widget/icon'
import Plugin             from '../widget/plugin'
import Select             from '../widget/select'

properties.defaultProps.properties = PropertiesJson;
Widget.defaultProps.control = {
  Block,
  ButtonGroup,
  Calendar,
  CheckBox,
  ComboBox,
  ColorTag,
  File,
  Grid,
  Image,
  Input,
  Label,
  Line,
  Number,
  Option,
  RadioBox,
  Switch,
  SubBlock,
  Tag,
  TextArea,
  Video,
  Icon,
  Plugin,
  Select,
  ComboBoxDynamic
};

export {
  properties,
  process,
  step,
  CONST
}
