/**
 * workflow-footer.js
 */

'use strict';

export default class Footer extends React.Component {

  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    return dom('footer', {className: 'process-footer'},
      this.renderActionButton(),
      this.renderDescription()
    );
  }

  renderActionButton() {
    if (!this.props.button) {
      return null;
    }

    return this.props.button.map(button => {
      return dom('button', {
          type: 'button',
          key: button.name,
          className: button.className,
          onClick: button.onClick,
          style: {margin: '1px'},
          disabled: button.disabled
        },
        this.renderIcon(button.icon),
        button.name
      );
    });
  }

  renderIcon(icon) {
    if (!icon) {
      return null;
    }

    return dom('i', {className: 'fa fa-fw fa-' + icon});
  }

  renderDescription() {
    if (!this.props.description) {
      return null;
    }

    return this.props.description.map(description => {
      return dom('div', null, description);
    });
  }
}