/**
 * @file 工作流 步骤
 * @module step
 * @author r2space@gmail.com
 * @version 1.0.0
 */

'use strict';


export default class Step extends React.Component {

  constructor(props) {
    super(props);
    this.state = {};
  }

  render() {
    return dom('div', {className: 'step'},
      this.props.activities.map((item, index) => {
        return [
          dom('div', {className: 'item'},
            dom('p', null, '沈华' + (index === 0 ? ' 起草' : ' 同意')),
            dom('p', {className: 'time'}, '2017-10-11 13:00'),
            this.renderIconStep(index)
          ),
          index < this.props.activities.length - 1 ? dom('i', {className: 'arrow arrow-type1'}) : null
        ]
      })
    );
  }

  renderImageStep() {
    return dom('img', {className: 'img-circle', src: './a.jpg'});
  }

  renderIconStep(type) {
    return dom('div', {className: 'div-circle'},
      type === 0 && dom('i', {className: 'fa fa-user'}),
      type !== 0 &&  dom('i', {className: 'fa fa-users'})
    // type === 1 &&  dom('i', {className: 'fa fa-plus'})
    )
  }
}

Step.defaultProps = {
  activities: []
};

Step.init = (node, option) => {
  return ReactDOM.render(
    React.createElement(Step, option),
    document.getElementById(node)
  );
};
